from core.database.abc.db_model_dao_abc import DbModelDaoABC
from core.logger import DBLogger
from data.schemas.system.file import File

logger = DBLogger(__name__)


class FileDao(DbModelDaoABC[File]):

    def __init__(self):
        DbModelDaoABC.__init__(self, __name__, File, "system.files")

        self.attribute(File.file_id, str)
        self.attribute(File.path, str)
        self.attribute(File.file_hash, str)


fileDao = FileDao()
